Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 612228 - not getting events from NumLock on T61 keyboard
not getting events from NumLock on T61 keyboard
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 11:50 EDT by jmccann
Modified: 2015-01-14 18:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-09 12:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2010-07-07 11:50:41 EDT
kernel-2.6.33.5-124.fc13.i686

I don't see any events using evtest when I press Fn+ScrLk (ie. NumLock) on my T61 keyboard.  However, the keyboard does in fact switch modes and the onboard led indicator shows the correct state.

I get the events as expected when I use an external Microsoft keyboard.

I do not get the events when I use an external Lenovo SK-8845 keyboard.  However, unlike the built-in keyboard, the mode does not change.
Comment 1 Matthew Garrett 2011-02-09 12:39:26 EST
The hardware isn't sending us any type of event when we hit the key, so I'm afraid we're just going to have to live with this...

Note You need to log in before you can comment on or make changes to this bug.